Package twisted :: Package protocols :: Module ethernet :: Class IEthernetProtocol

[frames | no frames]

## Class IEthernetProtocol

    Interface --+
                |
               IEthernetProtocol

An interface for protocols that handle Ethernet frames

Method Summary
| ``addProto`()` Add an IRawPacketProtocol protocol
| ``datagramReceived`()` An Ethernet frame has been received

Method Details

### addProto()

Add an IRawPacketProtocol protocol

### datagramReceived()

An Ethernet frame has been received

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net